package jp.agentec.sinaburocast.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="t_enquete_mail_send_result")
public class EnqueteMailSendResult extends AbstractEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "enquete_mail_send_result_id")
	public Long enqueteMailSendResultId;

	@Column(name = "enquete_mail_id")
	public Integer enqueteMailId;

	@Column(name = "member_id")
	public Integer memberId;

	public String email;

	@Column(name = "send_result_cd")
	public Integer sendResultCd;

	@Column(name = "send_result")
	public String sendResult;

	@Column(name = "status_cd")
	public String statusCd;

	@Column(name = "status")
	public String status;

	@Column(name = "message_id")
	public String messageId;

    /** EnqueteMail関連プロパティ */
    @ManyToOne
    @JoinColumn(name = "enquete_mail_id", referencedColumnName = "enquete_mail_id")
    public EnqueteMail enqueteMail;

    /** EnqueteMail関連プロパティ */
    @ManyToOne
    @JoinColumn(name = "member_id", referencedColumnName = "member_id")
    public Member member;
}
