package jp.agentec.sinaburocast.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "t_notify_mail_send_result")
public class NotifyMailSendResult extends AbstractEntity {

	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "notify_mail_send_result_id")
	public Long notifyMailSendResultId;

	@Column(name = "member_notify_mail_id")
	public Integer memberNotifyMailId;

	@Column(name = "answer_times")
	public Integer answerTimes;

	@Column(name = "email")
	public String email;

	@Column(name = "send_result_cd")
	public Integer sendResultCd;

	@Column(name = "send_result")
	public String sendResult;

	@Column(name = "status_cd")
	public String statusCd;

	@Column(name = "status")
	public String status;

	@Column(name = "message_id")
	public String messageId;

	/** MemberNotifyMail関連プロパティ */
	@ManyToOne
	@JoinColumn(name = "member_notify_mail_id", referencedColumnName = "member_notify_mail_id")
	public MemberNotifyMail memberNotifyMail;
}
