package jp.agentec.sinaburocast.service;

import java.util.List;

import javax.annotation.Resource;

import jp.agentec.sinaburocast.entity.Gift;
import jp.agentec.sinaburocast.entity.GiftExchange;
import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class GiftServiceTest extends S2DaoTestCase {

	@Resource
	private GiftService giftService;

	public GiftServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("GiftServiceTest");
		suite.addTest(new GiftServiceTest("findById"));
		suite.addTest(new GiftServiceTest("findAllOrderById"));

		return suite;
	}


	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	public void findById() {
		System.out.println(giftService.findById(1));
	}

	public void findAllOrderById(){

		List<Gift> list =giftService.findAllOrderById();
		for (Gift gift : list) {
			//System.out.println(enquete.enqueteSummary.enqueteId);
			System.out.println(gift.giftId);
			//System.out.println(gift.giftId);
			System.out.println(gift);
		}
	}

}
